commit: 5367c6831f9e7ff245a235d9c0308b75dcc33772
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 15 19:12:53 2020 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Oct 15 19:15:41 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5367c683
x11-libs/pixman: die if tests fail
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
x11-libs/pixman/pixman-0.40.0.ebuild | 2 +-
x11-libs/pixman/pixman-9999.ebuild | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/x11-libs/pixman/pixman-0.40.0.ebuild
b/x11-libs/pixman/pixman-0.40.0.ebuild
index d4510830221..51a3421ad1b 100644
--- a/x11-libs/pixman/pixman-0.40.0.ebuild
+++ b/x11-libs/pixman/pixman-0.40.0.ebuild
@@ -51,7 +51,7 @@ multilib_src_compile() {
multilib_src_test() {
export OMP_NUM_THREADS=$(makeopts_jobs)
- meson test -v -C "${BUILD_DIR}" -t 100
+ meson test -v -C "${BUILD_DIR}" -t 100 || die "tests failed"
}
multilib_src_install() {
diff --git a/x11-libs/pixman/pixman-9999.ebuild
b/x11-libs/pixman/pixman-9999.ebuild
index 9c15b1e0965..b614ed9cc15 100644
--- a/x11-libs/pixman/pixman-9999.ebuild
+++ b/x11-libs/pixman/pixman-9999.ebuild
@@ -51,7 +51,7 @@ multilib_src_compile() {
multilib_src_test() {
export OMP_NUM_THREADS=$(makeopts_jobs)
- meson test -v -C "${BUILD_DIR}" -t 100
+ meson test -v -C "${BUILD_DIR}" -t 100 || die "tests failed"
}
multilib_src_install() {